<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?php

/* INICIO PROCEDIMENTO AJAX */
require 'plugins/sajax/Sajax.php';

function cityByState($s)
{
	include 'includes/begin.php';

	if(!isset ($s))
		return null;

	$sql = "select codigomunicipio, upper(nomemunicipio) as nomemunicipio from municipio where codigoestado = $s order by nomemunicipio";
	$result = pg_query($dbh, $sql);

	$resultado = '';
	while ($rowCityByState = pg_fetch_array($result))
	{
		$resultado .= "<OPTION value='".$rowCityByState["codigomunicipio"]."'>".$rowCityByState["nomemunicipio"]."</OPTION> ";
	}

	include 'includes/end.php';

	return $resultado;
}

function getGeoIguacuData($n)
{
	include 'includes/begin.php';

	if (!isset ($n))
		return null;

	$sql = "select * from geoiguacu where geoiguacu = '$n'";
	$result = pg_query($dbh, $sql);

	if (!$result)
	{

		include 'includes/end.php';
		return null;
	}

	$resultado = '';

	$rowGeoIguacu = pg_fetch_array($result);

/////////////// MODIFICA��O ///////////////////////////////////////////
	if (!$rowGeoIguacu)
	{
		include 'includes/end.php';
		return null;
	}
/////////////// FIM MODIFICA��O ///////////////////////////////////////

    
    $resultado .=    ( isset($rowGeoIguacu["logradourogeoiguacu"])            ? $rowGeoIguacu["logradourogeoiguacu"]             : " ")  ."#"
               . ( isset($rowGeoIguacu["numerogeoiguacu"])                   ? $rowGeoIguacu["numerogeoiguacu"]                 : " ")     ."#"
               . ( isset($rowGeoIguacu["complementogeoiguacu"])           ? $rowGeoIguacu["complementogeoiguacu"]            : " ")  ."#"
               . ( isset($rowGeoIguacu["bairrogeoiguacu"])                ? $rowGeoIguacu["bairrogeoiguacu"]                 : " ")  ."#"
               . ( isset($rowGeoIguacu["cepgeoiguacu"])                   ? $rowGeoIguacu["cepgeoiguacu"]                    : " ")  ."#"
               . ( isset($rowGeoIguacu["codigotipologradourogeoiguacu"])  ? $rowGeoIguacu["codigotipologradourogeoiguacu"]   : " ");

	/*$resultado .= "#".$rowGeoIguacu["logradourogeoiguacu"]
			   ."#".$rowGeoIguacu["numerogeoiguacu"]
			   ."#".$rowGeoIguacu["complementogeoiguacu"]
			   ."#".$rowGeoIguacu["bairrogeoiguacu"]
			   ."#".$rowGeoIguacu["cepgeoiguacu"]
			   ."#".$rowGeoIguacu["codigotipologradourogeoiguacu"];*/

	include 'includes/end.php';

	return $resultado;
}

//$sajax_request_type = "GET";

sajax_init();
//$sajax_debug_mode = 1;
sajax_export("cityByState","getGeoIguacuData");
sajax_handle_client_request();

/* FIM PROCEDIMENTO AJAX */

?>